import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/rechargerecord/` + url, ...arg)

/**
 * 充值记录表Api接口管理器
 *
 * @author wulei
 * @date  2025/02/06 17:41
 **/
export default {
	// 获取充值记录表分页
	bizRechargeRecordPage(data) {
		return request('page', data, 'get')
	},
	// 提交充值记录表表单 edit为true时为编辑，默认为新增
	bizRechargeRecordSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除充值记录表
	bizRechargeRecordDelete(data) {
		return request('delete', data)
	},
	// 获取充值记录表详情
	bizRechargeRecordDetail(data) {
		return request('detail', data, 'get')
	}
}
